#
# spec file for package python-propcache
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}
Name:           python-propcache
Version:        0.2.0
Release:        2.3
Summary:        Accelerated property cache
License:        Apache-2.0
URL:            https://github.com/aio-libs/propcache
Source:         https://files.pythonhosted.org/packages/source/p/propcache/propcache-%{version}.tar.gz
Patch0:         reproducible.patch
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module Cython >= 3.0.11}
BuildRequires:  %{python_module expandvars}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 47}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module covdefaults}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-xdist}
BuildRequires:  fdupes
%python_subpackages

%description
Accelerated property cache

%prep
%autosetup -p1 -n propcache-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%{python_expand %fdupes %{buildroot}%{$python_sitearch}
find %{_builddir} -name ".gitignore" -delete
find %{_builddir} -name ".TEMPLATE.rst" -delete
}

%check
%pytest_arch

%files %{python_files}
%doc CHANGES CHANGES.rst CHANGES/README.rst README.rst
%license LICENSE
%{python_sitearch}/propcache
%{python_sitearch}/propcache-%{version}.dist-info

%changelog
* Sun Oct 13 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to not embed a random tmpdir in binaries (boo#1062303)
* Wed Oct  9 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  * Version 0.2.0
